Name: camlp4
Version: 3.01.5
Release: 1mdk
Summary: Objective Caml Preprocessor
Source0: ftp://ftp.inria.fr/INRIA/Projects/cristal/camlp4/camlp4-%{version}.tar.bz2
Source1: ftp://ftp.inria.fr/INRIA/Projects/cristal/camlp4/camlp4-%{version}-tutorial.html.tar.bz2
Copyright: BSD
Group: Development/Other
URL: http://caml.inria.fr/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: ocaml

%description
Camlp4 is a Pre-Processor-Pretty-Printer for Objective Caml. It offers tools 
for syntax (grammars) and the ability to modify the concrete syntax 
of the language (quotations, syntax extensions). 

Camlp4 can parse normal Ocaml concrete syntax or any other user-definable
syntax. As an example, an alternative syntax is provided, named righteous,
because it tries to fix some small problems of the normal syntax. 

Camlp4 can pretty print the normal Ocaml concrete syntax or the righteous one.
It is therefore always possible to have a version of your sources compilable
by the compiler Objective Caml without preprocessing. 

%prep
%setup -q
%setup -q -T -D -a 1
#cp %{SOURCE2} refman.ps.gz

mv camlp4-%{version}-tutorial.html tutorial

%build
(
cat config/Makefile.tpl
echo
echo OLIBDIR=%{_libdir}/ocaml
echo BINDIR=%{_bindir}
echo LIBDIR=%{_libdir}/%{name}
echo MANDIR=%{_mandir}/man1
) > config/Makefile

make world opt

%install
make install BINDIR=$RPM_BUILD_ROOT%{_bindir} LIBDIR=$RPM_BUILD_ROOT%{_libdir}/%{name} MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc tutorial LICENSE CHANGES README
%{_bindir}/*
%{_libdir}/%{name}
%{_mandir}/*/*


%changelog
* Fri Jun 15 2001 Pixel <pixel@mandrakesoft.com> 3.01.5-1mdk
- initial spec

